Subject: Re: RFC: powerpc: Start splitting up mmu.h by MMU type

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 22 Apr 2007 10:35:13 +1000

> > Specifically it splits the ppc64 specific (or more strictly, the
> > 64-bit hash table specific) parts of asm-powerpc/mmu.h into its own
> > file, asm-powerpc/mmu-hash64/mmu.h.  Similarly, PowerPC 44x
> > definitions are taken from asm-ppc/mmu.h, trimmed down for use in
> > arch/powerpc and place in their own file, asm-powerpc/mmu-44x/mmu.h.
> 
> Why do we want to create a directory per mmu type?  What other files
> would go in there?

Especially if we're ever going to get a different MMU type on 64 bits, I
would really like to try to be able to build a kernel supporting both
(if realistic).

Ben.